关于升级到metasploit5遇到的问题及其解决方法

今天和往常一样打开parrot,提示更新,OK那就更吧。
更好了之后重启,打开metasploit,发现已经是metasploit5了,但是出现了一些问题:


看了看数据库连接情况,确实出了问题:

看到这个首先觉得是数据库没有连接,于是想到初始化数据库:

还是报错,然后又仔细看了看启动metasploit时的错误提示,觉得应该是postgresql更新了之后配置出错了,于是:
在终端里输入
locate postgresql.conf
sudo nano /etc/postgresql/11/main/posqgresql.conf

这里我个人喜欢用nano编辑器
定位到listen_addresses
这里本来是被注释了的,所以去掉注释,并吧监听地址的‘localhost’设为‘*’,监听端口设为5432.
保存退出。如下图:

然后初始化数据库看看:

进入metasploit看看:

没有再报错,数据库连接也显示正常。

3赞

服务器资源由ZeptoVM赞助

Partners Wiki IRC